unix: INSTALL_PATH = /usr/local
win32: INSTALL_PATH = C:\

QT += core opengl

message(QT_VERSION = $$QT_VERSION)
greaterThan(QT_MAJOR_VERSION, 4) {
   QT += widgets
}
greaterThan(QT_MAJOR_VERSION, 5) {
   QT += openglwidgets core5compat
}

CONFIG += warn_off
INCLUDEPATH += .. $$INSTALL_PATH/include
mac: CONFIG -= app_bundle

win32: LIBS += -lopengl32

exists(../glvertex.h) {
   HEADERS += $$files(../glvertex*.h)
} else {
   exists($$INSTALL_PATH/include/glvertex.h) {
      HEADERS += $$files($$INSTALL_PATH/include/glvertex_*.h)
   }
}

HEADERS += \
   glslwidget.h \
   glsleditor.h

SOURCES += \
   glslwidget.cpp \
   glsleditor.cpp \
   qt_editor.cpp
